Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
New Contributor
correij27
Posts: 2
Registered: ‎05-02-2012
My Device: 5.00 version and above
Accepted Solution

Installation of WebWorks-BB10-Win-v1.0 on a win7, 64bit OS, how to specify the jdk 32 bit version

Hi everyone

 

Im struggling a bit here and for once google has not been every helpful.

 

I have a Win7, 64bit OS, where I have my 64 bit jdk installed for other projects I work on.

 

I now need to do some Worklight development and one of the things it tells me to installl is WebWorks-BB10-Win-v1.0, which I downloaded... however on the installation manual it says to ensure that I use a 32bit JDK for it (http://worklight.com/download/get-started/4.2.1/module-2.3 page 4)...

 

Is there a way of specifying at installation wizard time, where the desired jdk is? Because it defaults to always finding the 64bit one.... I've played around with changing environment variables to no affect.... I really don't feel like uninstalling the 64bit jdk version just for this...

 

Thanks

Jose

 

 

Please use plain text.
BlackBerry Development Advisor
twindsor
Posts: 832
Registered: ‎07-15-2008
My Device: Passport
My Carrier: Bell

Re: Installation of WebWorks-BB10-Win-v1.0 on a win7, 64bit OS, how to specify the jdk 32 bit version

That manual is talking about WebWorks for our Java based phones. The BlackBerry 10 WebWorks SDK does not require Java.

Tim Windsor
Open Source Technical Lead
Please use plain text.
New Contributor
correij27
Posts: 2
Registered: ‎05-02-2012
My Device: 5.00 version and above

Re: Installation of WebWorks-BB10-Win-v1.0 on a win7, 64bit OS, how to specify the jdk 32 bit version

Hi Tim

 

Please confirm though, if one wants to be backwards compatible and support previous BB Oses like from 5 to 7, then I need to install the previous Webworks version, i.e. the one entitled "Smartphone SDK" on this link:https://bdsc.webapps.blackberry.com/html5/download/sdk

 

Please confirm

 

Thanks

Jose

Please use plain text.
BlackBerry Development Advisor
twindsor
Posts: 832
Registered: ‎07-15-2008
My Device: Passport
My Carrier: Bell

Re: Installation of WebWorks-BB10-Win-v1.0 on a win7, 64bit OS, how to specify the jdk 32 bit version

That's correct. If you wish to target the BlackBerry 5-7.x phones you will need the Smartphone SDK which uses Java. It requires 32-bit JDK.

Tim Windsor
Open Source Technical Lead
Please use plain text.